Subject: bug#16220: url-http.el: Not conforming to HTTP spec

From: Ted Zlatanov <[email-masked]>
Date: Mon, 23 Dec 2013 08:08:42 -0500

On Mon, 23 Dec 2013 07:51:57 +0100 Jarosław Rzeszótko <[email-masked]> wrote: 

JR> I hope this is enough of a proof that the extra newline is a bug.

I was already convinced :)

JR> 2013/12/22 Ted Zlatanov <[email-masked]>:
>> On Sun, 22 Dec 2013 22:55:07 +0100 Jarosław Rzeszótko <[email-masked]> wrote:
>> 
JR> To turn this into a concrete proposal: I suggest this part in url-http.el
JR> (starting line 356 in trunk):
JR> ;; End request
JR> "\r\n"
JR> ;; Any data
JR> url-http-data
JR> ;; If `url-http-data' is nil, avoid two CRLFs (Bug#8931).
JR> (if url-http-data "\r\n")))
JR> Should read simply:
JR> ;; End request
JR> "\r\n"
JR> ;; Any data
JR> url-http-data))
>> ...

I am OK with this fix, if anyone else wants to look it over and commit.

JR> Futhermore url-http-attempt-keepalives should be nil as default, or better
JR> yet should be completely removed, as true keepalive connections are anyway
JR> not currently supported on the Emacs side, are they?

Not AFAIK.

Ted